Stanislav Bondar Stanislav Bondar - 24 days ago 12
Android Question

pjsip 2.5.5 build error

I'm trying to build pjsip for android with

NDK r13b
.
Standard build like
./configure-android --with-opus=/home/user/pjsip/pjproject/opus-dev-lib
works perfect. But i need several
TARGET_ABI
and all my tries to do it ends with
configure-android error: compiler not found, please check environment settings (TARGET_ABI, etc)


Commands as
TARGET_ABI=armeabi-v7a ./configure-android --use-ndk-cflags --with-opus=/home/user/pjsip/pjproject/opus-dev-lib


TARGET_ABI=armeabi-v7a APP_PLATFORM=android-21 ./configure-android --use-ndk-cflags --with-opus=/home/user/pjsip/pjproject/opus-dev-lib

return the same error.

I'm search a lot of links but no result.
I know that error is in
configure-android
file and throwing by

if test "x${CC}" = "x" || test ! -e ${CC}; then
echo "$F error: compiler not found, please check environment
settings (TARGET_ABI, etc)"
exit 1
fi


But i have no idea how to solve it.
Thanks in advance.

Answer

So, i'm finished with build.

Using Alex Gotev build and modify config.conf, prepare-build-system and build for needed configuration and latest pjsip source. Also i had to use latest libyuv from googlesource and NDK r10e.

Comments